Skip to main content

List All Spending Plans for a User

Use this endpoint to list all the spending plans associated with the user.

GET
/users/{user_guid}/spending_plans

Request sample

Language:shell

_10
curl -i -X GET 'https://int-api.mx.com/users/USR-72086f59-6684-4adf-8f29-c4d32db43cd7/spending_plans' \
_10
-u 'client_id:api_key' \
_10
-H 'Accept: application/vnd.mx.api.v2beta+json' \
_10
-H 'Content-Type: application/json'

Response sample

200
Language:json

_17
{
_17
"spending_plans": [
_17
{
_17
"created_at": "2023-03-09T18:54:03Z",
_17
"updated_at": "2023-03-09T18:54:03Z",
_17
"current_iteration_number": 2,
_17
"guid": "SPL-8fe82c3f-c3f0-49af-8690-9cdfc45b6a62",
_17
"user_guid": "USR-22f6e0ed-3d73-4987-bc74-0f52c037154a"
_17
}
_17
],
_17
"pagination": {
_17
"current_page": 1,
_17
"per_page": 25,
_17
"total_entries": 2,
_17
"total_pages": 1
_17
}
_17
}